Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy > Class Template Reference

`CORBA::TypeCode` implementation for an OMG IDL `typedef`. More...

`#include <Alias_TypeCode_Static.h>`

Inheritance diagram for TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >:

[legend]
Collaboration diagram for TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >:

[legend]
List of all members.

## @c TAO CORBA::TypeCode Template Methods
`tk_alias` and `tk_value_box` `CORBA::TypeCode` -specific template methods. See also: `CORBA::TypeCode`
virtual CORBA::Boolean | equal_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::Boolean | equivalent_i (CORBA::TypeCode_ptr tc ACE_ENV_ARG_DECL) const
virtual CORBA::TypeCode_ptr | get_compact_typecode_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual char const * | id_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual char const * | name_i (ACE_ENV_SINGLE_ARG_DECL) const
virtual CORBA::TypeCode_ptr | content_type_i (ACE_ENV_SINGLE_ARG_DECL) const
Base_Attributes< StringType > | attributes_
TypeCodeType const | content_type_
## Public Member Functions
| Alias (CORBA::TCKind kind, char const *id, char const *name, TypeCodeType const &tc)
| Constructor.
TAO-specific @c CORBA::TypeCode Methods
Methods required by TAO's implementation of the `CORBA::TypeCode` class. See also: `CORBA::TypeCode`
virtual bool | tao_marshal (TAO_OutputCDR &cdr, CORBA::ULong offset) const
| Marshal this `TypeCode` into a CDR output stream.
virtual void | tao_duplicate (void)
| Increase the reference count on this `TypeCode`.
virtual void | tao_release (void)
| Decrease the reference count on this object.

## Detailed Description

### template<typename StringType, typename TypeCodeType, class RefCountPolicy>
class TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >

`CORBA::TypeCode` implementation for an OMG IDL `typedef`.

This class implements a `CORBA::TypeCode` for an OMG IDL `typedef`.

## Constructor & Destructor Documentation

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
ACE_INLINE TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::Alias | ( | CORBA::TCKind | kind,
|  | char const * | id,
|  | char const * | name,
|  | TypeCodeType const & | tc
| ) |

| Constructor.

## Member Function Documentation

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
CORBA::TypeCode_ptr TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::content_type_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
CORBA::Boolean TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::equal_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
virtual CORBA::Boolean TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::equivalent_i | ( | CORBA::TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) | const`[protected, virtual]`

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
CORBA::TypeCode_ptr TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::get_compact_typecode_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Implements CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
char const * TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::id_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
char const * TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::name_i | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | const`[protected, virtual]`

| Reimplemented from CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
void TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::tao_duplicate | ( | void |  | ) | `[virtual]`

| Increase the reference count on this `TypeCode`. Implements CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
bool TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::tao_marshal | ( | TAO_OutputCDR & | cdr,
|  | CORBA::ULong | offset
| ) | const`[virtual]`

  | Marshal this `TypeCode` into a CDR output stream. Marshal this `TypeCode` into the cdr output CDR stream, excluding the `TypeCode` kind. Existing cdr contents will not be altered. The marshaled `TypeCode` will be appended to the given cdr CDR output stream. Parameters:
  | cdr | Output CDR stream into which the `TypeCode` will be marshaled.
  | offset | Number of bytes currently in the output CDR stream, including the top-level TypeCode `TCKind`. This argument is useful for recursive `TypeCodes`. `TypeCodes` that contain other `TypeCodes` should pass an updated offset value to the marshaling operation for those contained `TypeCodes`.
Returns: `true` if marshaling was successful. Note: This is a TAO-specific method that is not part of the standard `CORBA::TypeCode` interface. If this method returns , the contents of the cdr output CDR stream are undefined. Implements CORBA::TypeCode.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
void TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::tao_release | ( | void |  | ) | `[virtual]`

| Decrease the reference count on this object. Implements CORBA::TypeCode.

## Member Data Documentation

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
Base_Attributes<StringType> TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::attributes_`[private]`

| Base attributes for this `TypeCode` containing the repository ID and name of the `typedef`.

template<typename StringType, typename TypeCodeType, class RefCountPolicy>
TypeCodeType const TAO::TypeCode::Alias< StringType, TypeCodeType, RefCountPolicy >::content_type_`[private]`

| A pointer to the `CORBA::TypeCode_ptr` rather than the `CORBA::TypeCode_ptr` itself is stored since that address is well-defined. We may not know the value of the `CORBA::TypeCode_ptr` when creating this `Field` statically at compile-time, hence the indirection. Note: This `TypeCode` is released upon destruction of this `TypeCode::Alias`.

The documentation for this class was generated from the following files:

- Alias_TypeCode.h
- Alias_TypeCode.cpp
- Alias_TypeCode.inl